Subject: Re: No such file or directory
From: Chris Faylor <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sun, 26 Mar 2000 12:05:37 -0500

On Sat, Mar 25, 2000 at 11:07:27PM -0500, Larry Hall (RFK Partners, Inc) wrote:
>At 10:48 PM 3/25/00, Chris Faylor wrote:
>>On Sat, Mar 25, 2000 at 10:40:13PM -0500, Larry Hall (RFK Partners, Inc) wrote:
>> >Looks to me like your big problem is the install program which assumes the 
>> >UNIX convention of executables without extensions (.exe).  It looks for
>> >remind and not remind.exe, which is what exists.
>>
>>I wonder if it would really be a big deal if cygwin, by default, found a
>>file "foo.exe" if there was no existing file "foo".
>>
>>We keep running into this problem and I wonder if implementing this in
>>cygwin would solve more problems than it causes.
>
>Its been a while but isn't there already something in there that does the
>reverse for executables in general?  I should go looking.  My guess is what
>I'm remembering is a related but different topic.

The stat() function call will locate a file with no extension and one
with a .exe extension.  Obviously, the spawn() and exec() calls do
something similar.

The problem is that if you do a stat("ls", &st) it will succeed but
open("ls", whatever) will fail.

>But I agree with you.  This is a common "problem" of the
>configure/make/ install sequence of GNU packages on Cygwin and,
>although its not a big deal to work with once you understand it, it
>does generate list traffic regularly.  I guess I'm wondering why the
>alternate install script solution that has been "floated" in the past
>is not something Cygwin uses now.  I admit I never looked that closely
>at it.  If it does the right job, the thing that I think is good about
>it is that it targets the problem in the context of installs, which
>seems to be where the problem lies...

install.exe in the next version of cygwin will be ".exe" aware.

It hasn't been done before now because, ah, we haven't had an official
net release in a long time.  The Cygwin CD version does use this version
of install, however.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]